package com.jeeplus.modules.sg.scheduleView.entity;

import com.jeeplus.core.persistence.ActEntity;

import java.util.List;

/**
 * 查询模块实体类
 * */
public class ScheduleView extends ActEntity<ScheduleView> {
    //项目定义号
    private String projectId;
    //项目定义号集合
    private List<String> projectList;
    //项目自定义描述
    private String projectName;
    //储备项目名称
    private String reserveProjectName;
    //项目交底类型
    private String projectType;
    //施工交底状态
    private String status;
    //物资领料状态
    private String acquisitionStatus;
    //土建状态
    private String advanceStatus;
    //施工状态
    private String constructionStatus;
    //结算状态
    private String settStatus;
    //施工交底流程
    private DisView disView;
    //物资领料流程
    private ReceiveView receiveView;
    //结算流程
    private SettView settView;
    //土建流程
    private CivilView civilView;
    //电气流程
    private ElectricView electricView;
    //设计变更
    private DesignView designView;
    //项目关闭
    private ClosureView closureView;
    //政策处理
    private PolicyView policyView;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public List<String> getProjectList() {
        return projectList;
    }

    public void setProjectList(List<String> projectList) {
        this.projectList = projectList;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getAdvanceStatus() {
        return advanceStatus;
    }

    public void setAdvanceStatus(String advanceStatus) {
        this.advanceStatus = advanceStatus;
    }

    public String getAcquisitionStatus() {
        return acquisitionStatus;
    }

    public void setAcquisitionStatus(String acquisitionStatus) {
        this.acquisitionStatus = acquisitionStatus;
    }

    public String getConstructionStatus() {
        return constructionStatus;
    }

    public void setConstructionStatus(String constructionStatus) {
        this.constructionStatus = constructionStatus;
    }

    public String getSettStatus() {
        return settStatus;
    }

    public void setSettStatus(String settStatus) {
        this.settStatus = settStatus;
    }

    public DisView getDisView() {
        return disView;
    }

    public void setDisView(DisView disView) {
        this.disView = disView;
    }

    public ReceiveView getReceiveView() {
        return receiveView;
    }

    public void setReceiveView(ReceiveView receiveView) {
        this.receiveView = receiveView;
    }

    public SettView getSettView() {
        return settView;
    }

    public void setSettView(SettView settView) {
        this.settView = settView;
    }

    public CivilView getCivilView() {
        return civilView;
    }

    public void setCivilView(CivilView civilView) {
        this.civilView = civilView;
    }

    public ElectricView getElectricView() {
        return electricView;
    }

    public void setElectricView(ElectricView electricView) {
        this.electricView = electricView;
    }

    public DesignView getDesignView() {
        return designView;
    }

    public void setDesignView(DesignView designView) {
        this.designView = designView;
    }

    public ClosureView getClosureView() {
        return closureView;
    }

    public void setClosureView(ClosureView closureView) {
        this.closureView = closureView;
    }

    public PolicyView getPolicyView() {
        return policyView;
    }

    public void setPolicyView(PolicyView policyView) {
        this.policyView = policyView;
    }
}
